# PetscViewerASCIISetMode

Sets the mode in which to open the file.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscViewerASCIISetMode(PetscViewer viewer, PetscFileMode mode)

Not Collective

| viewer | - viewer context, obtained from PetscViewerASCIIOpen()
| mode | - The file mode

### Fortran Note

This routine is not supported in Fortran.

### Keywords

Viewer, file, get, pointer

### See Also

PetscViewerASCIIOpen()

Level:intermediate
Location:src/sys/src/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages